/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
* 查询接口--数据传输对象：业务组件表_发布
*
* createdate:  2022-10-26 17:52:19  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件表_发布")
public class ReBusComponentInfoQueryDto implements Serializable
{
    /**
     * 系统空间<br>
     */
    @ApiModelProperty("系统空间")
    private String projectId;

    /**
     * 组件id集合<br>
     */
    @ApiModelProperty("业务组件id集合")
    private List<String> ids;

    /**
     * 组件id集合<br>
     */
    @ApiModelProperty("基础组件id集合")
    private List<String> libs;



    /**
     * 组件id集合<br>
     */
    @ApiModelProperty("组件集合")
    private List<ReBusComponentInfoVersionDto> comList;

    /**
     * 组件id集合<br>
     */
    @ApiModelProperty("组件集合")
    private Map<String,List<String>> libMap;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public List<String> getLibs() {
        return libs;
    }

    public void setLibs(List<String> libs) {
        this.libs = libs;
    }

    public List<ReBusComponentInfoVersionDto> getComList() {
        return comList;
    }

    public void setComList(List<ReBusComponentInfoVersionDto> comList) {
        this.comList = comList;
    }

    public Map<String, List<String>> getLibMap() {
        return libMap;
    }

    public void setLibMap(Map<String, List<String>> libMap) {
        this.libMap = libMap;
    }
}